Summary:	GNOME screenshot utility
Summary(ja):	GNOMEスクリーンショットユーティリティ
Name:		gnome-screenshot
Version:	3.6.0
Release:	1%{?_dist_release}
License:	GPLv2+
Group:		Applications/System
URL:		http://www.gnome.org

Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.6/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk3-devel
BuildRequires:	libcanberra-gtk3-devel

Requires(postun,posttrans):	glib2
Requires(postun,posttrans):	desktop-file-utils

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
This package contains GNOME screenshot utility.

%description -l ja
このパッケージには GNOME 用のスクリーンショットユーティリティが
含まれています。

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
update-desktop-database -q &> /dev/null ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
update-desktop-database -q &> /dev/null ||:


%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/gnome-screenshot
%{_datadir}/GConf/gsettings/gnome-screenshot.convert
%{_datadir}/applications/gnome-screenshot.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-screenshot.gschema.xml
%{_mandir}/man1/gnome-screenshot.1.gz


%changelog
* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- initial build for Vine Linux
